Items - Revalidate CMK
Revalidate Customer‑Managed Key (CMK) of the specified SQL database.
This API supports long running operations (LRO).
Revalidating Customer‑Managed Key (CMK) of the specified SQL database, which checks that the currently configured Azure Key Vault (AKV) key is still accessible, valid, and authorized for encryption operations.
Permissions
The caller must have read and write permissions for the SQL database.
Required Delegated Scopes
SQLDatabase.ReadWrite.All or Item.ReadWrite.All
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/sqlDatabases/{sqlDatabaseId}/revalidateCMK
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
sql
|
path | True |
string (uuid) |
The SQL database ID. |
|
workspace
|
path | True |
string (uuid) |
The workspace identifier. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 202 Accepted |
Request accepted. Revalidate CMK is in progress. Headers
|
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
For more error codes, refer to: https://learn.microsoft.com/en-us/rest/api/sql/encryption-protectors/revalidate?view=rest-sql-2023-08-01&tabs=HTTP |
Examples
Revalidate CMK example
Sample request
POST https://api.fabric.microsoft.com/v1/workspaces/f089354e-8366-4e18-aea3-4cb4a3a50b48/sqlDatabases/41ce06d1-d81b-4ea0-bc6d-2ce3dd2f8e87/revalidateCMK
Sample response
Location: https://api.fabric.microsoft.com/v1/operations/0acd697c-1550-43cd-b998-91bfbfbd47c6
x-ms-operation-id: 0acd697c-1550-43cd-b998-91bfbfbd47c6
Retry-After: 30
Definitions
| Name | Description |
|---|---|
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |